Package org.apache.sling.dynamicinclude.generator

## Class IncludeGeneratorWhiteboard

- java.lang.Object
- - org.apache.sling.dynamicinclude.generator.IncludeGeneratorWhiteboard

    public class IncludeGeneratorWhiteboard
    extends java.lang.Object

Service that provides include generator of given type.

### Constructor Summary

Constructors
`IncludeGeneratorWhiteboard()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IncludeGenerator` `getGenerator​(java.lang.String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IncludeGeneratorWhiteboard

    public IncludeGeneratorWhiteboard()

### Method Detail

#### getGenerator

    public IncludeGenerator getGenerator​(java.lang.String type)